Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042736
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminorhave not tried2020-01-08 13:462020-01-16 16:27
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision7b13593cab65
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042736: Apply new HQL style in VariantChDescUpdateProcess

DescriptionApply new HQL style for fetching data from Product, ProductCharacteristic and ProductCharacteristicValue in update & updateProduct methods in VariantChDescUpdateProcess class as use of normal strings is mandatory instead of
1. StringBuffer
2. Property Constants for eg: PROPERTY_PRODUCTCHARACTERISTICLIST, PROPERTY_PRODUCTCHARACTERISTICVALUELIST, PROPERTY_CHARACTERISTICVALUE, PROPERTY_PRODUCT, PROPERTY_SEQUENCENUMBER, PROPERTY_CHARACTERISTIC
**HQL formatting is important for improving readability.
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116788)
AtulOpenbravo (developer)
2020-01-13 11:15

Test Plan
- Define a Product Characteristics, set Variant = Yes, Explode Configuration Tab = Yes
- Add records in Value Tab
- Add record in Subset Tab
- Add records in Subset value Tab.
- Create a Generic Product
- Add above Characteristics defined in Product Window Characteristics Tab.
- Run Create Variants process.
- Realize that Variant Products are created successfully.
- Execute Manage Variants.
- Realize that Variants Products are shown in the P&E window.
- Select any Product and try to modify name of one of Product
- Click on Done button.
- Realize that process is successful and name of Product is updated accordingly.
- Navigate to Update Product Characteristic Description process
- Select any Product
- Run the process and realize that it is successful.
- Navigate to Update Product Characteristic Description process
- Select any Characteristic
- Run the process and realize that it is successful.
(0116936)
hgbot (developer)
2020-01-16 16:25

Repository: erp/devel/pi
Changeset: 7b13593cab651e88544ba5f9e6d9af2be303aa93
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 13 11:03:13 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7b13593cab651e88544ba5f9e6d9af2be303aa93 [^]

Fixes BUG-42736:Apply new HQL style in VariantChDescUpdateProcess

**Applied new HQL style, avoid use of StringBuffer and Property
constants

---
M src/org/openbravo/materialmgmt/VariantChDescUpdateProcess.java
---
(0116937)
hgbot (developer)
2020-01-16 16:26

Repository: erp/devel/pi
Changeset: 82e1d231e16ba383b30eb81e1f0092dd0ce5cf96
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 13 14:43:32 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/82e1d231e16ba383b30eb81e1f0092dd0ce5cf96 [^]

Related To ISSUE-42736:Apply new HQL style in VariantChDescUpdateProcess

**Apply changes as per SonarLint Report

---
M src/org/openbravo/materialmgmt/VariantChDescUpdateProcess.java
---
(0116938)
hgbot (developer)
2020-01-16 16:26

Repository: erp/devel/pi
Changeset: 29e254d4f560dee57d1c6a0f14d5e774a3906948
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 16 16:24:48 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/29e254d4f560dee57d1c6a0f14d5e774a3906948 [^]

Related to ISSUE-42736: Code Review Changes:

  * Simplified expression to generate the query object
  * Use id's instead of objects in the query
  * Changed names to be more descriptive

---
M src/org/openbravo/materialmgmt/VariantChDescUpdateProcess.java
---
(0116940)
dmiguelez (developer)
2020-01-16 16:27

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-08 13:46 AtulOpenbravo New Issue
2020-01-08 13:46 AtulOpenbravo Assigned To => platform
2020-01-08 13:46 AtulOpenbravo Modules => Core
2020-01-08 13:46 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-08 13:46 AtulOpenbravo Issue generated from 0041287
2020-01-08 13:46 AtulOpenbravo Assigned To platform => AtulOpenbravo
2020-01-08 13:47 AtulOpenbravo Relationship added related to 0041287
2020-01-08 13:48 AtulOpenbravo Status new => scheduled
2020-01-08 13:49 AtulOpenbravo Description Updated View Revisions
2020-01-08 13:52 AtulOpenbravo Severity trivial => minor
2020-01-08 13:52 AtulOpenbravo Description Updated View Revisions
2020-01-08 13:52 AtulOpenbravo Proposed Solution updated
2020-01-08 13:57 AtulOpenbravo Description Updated View Revisions
2020-01-08 13:58 AtulOpenbravo Description Updated View Revisions
2020-01-08 14:04 AtulOpenbravo Issue cloned 0042740
2020-01-13 11:15 AtulOpenbravo Note Added: 0116788
2020-01-16 16:25 hgbot Checkin
2020-01-16 16:25 hgbot Note Added: 0116936
2020-01-16 16:26 hgbot Status scheduled => resolved
2020-01-16 16:26 hgbot Resolution open => fixed
2020-01-16 16:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7b13593cab651e88544ba5f9e6d9af2be303aa93 [^]
2020-01-16 16:26 hgbot Checkin
2020-01-16 16:26 hgbot Note Added: 0116937
2020-01-16 16:26 hgbot Checkin
2020-01-16 16:27 hgbot Note Added: 0116938
2020-01-16 16:27 dmiguelez Review Assigned To => dmiguelez
2020-01-16 16:27 dmiguelez Note Added: 0116940
2020-01-16 16:27 dmiguelez Status resolved => closed
2020-01-16 16:27 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker